//- instant-article.pug - Code embedded inside instant article rss

doctype html
html(lang=item.lang, prefix="op: http://media.facebook.com/op#")
  head
    meta(charset="utf-8")
    link(rel="canonical", href=`${config.url}/item/${item.itemId}.html`)
    meta(property="op:markup_version", content="v1.0")
    title= item.title
  body
    article
      header
        h1= item.title
        time.op-published(datetime=item.date.toISOString())= moment(item.date).format("LL")
        if item.image
          figure
            img(src=item.image)

      | !{item.description.html}

      figure.op-interactive
        iframe.no-margin
          script(type="text/javascript").
            window.addEventListener("message", function(event){
              try {
                var m = JSON.parse(event.data);
                if (m != null && m.height != null){
                  document.getElementById("content-iframe").style.height = m.height+"px";
                }
              } catch (e){}
            });
          iframe(
            id="content-iframe",
            style="width:100%; height: 1500px; border:0px solid transparent;",
            height="1500",
            scrolling="no",
            border="0",
            src=`${iframeBaseUrl}/fb/${item.itemId}.html`)
      footer
